com.microfocus.awm.meta.modelextension

## Class ToolTypeInputParameter

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ToolTypeParameter
      - - com.microfocus.awm.meta.modelextension.ToolTypeInputParameter

- All Implemented Interfaces:
    IModelExtensionWithAttributes, IModelExtensionWithEnabledCondition, ITargetReferenceExtension

      public class ToolTypeInputParameter
      extends ToolTypeParameter
      implements ITargetReferenceExtension

  Predefined input parameter for a tool type extension.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTypeInputParameter(java.lang.String pID, java.lang.String pLabel, ToolTypeExtension pParentToolTypeExtension, FunctionPackageExtension pFpe, EParameterTypes pType, int pSequenceNumber, java.lang.String pDefaultValue, java.lang.String pStaticValue, EModelExtensionCardinality pCardinality, boolean pIsMassProcessing, boolean pIsNullValueAllowed)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TargetReferenceExtension>` | `geTargetReferenceExtensions()` `ModelExtensionObject`s can contain attributes which can reference other model objects.
    `java.lang.String` | `getDefaultValue()` Gets the default value.
    `java.lang.String` | `getStaticValue()` Gets the static value.
    `boolean` | `isNullValueAllowed()`
    `void` | `setDefaultValue(java.lang.String pDefaultValue)` Sets the default value.
    `void` | `setNullValueAllowed(boolean isNullValueAllowed)` Sets whether `null` value is allowed.
    `void` | `setStaticValue(java.lang.String pStaticValue)` Sets the static value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ToolTypeParameter

      `getCardinality, getEnabledCondition, getSequenceNumber, getTargetReference, getToolTypeExtension, getType, isMassProcessing, setEnabledCondition, setTargetReference`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTypeInputParameter

          public ToolTypeInputParameter(java.lang.String pID,
                                        java.lang.String pLabel,
                                        ToolTypeExtension pParentToolTypeExtension,
                                        FunctionPackageExtension pFpe,
                                        EParameterTypes pType,
                                        int pSequenceNumber,
                                        java.lang.String pDefaultValue,
                                        java.lang.String pStaticValue,
                                        EModelExtensionCardinality pCardinality,
                                        boolean pIsMassProcessing,
                                        boolean pIsNullValueAllowed)

      Basic constructor.
      Parameters:
        `pID` - the unique parameter ID
        `pLabel` - the parameter label
        `pParentToolTypeExtension` - the `ToolTypeExtension` of the parent tool descriptor
        `pType` - the parameter type
        `pSequenceNumber` - the sequence number
        `pDefaultValue` - the default value
        `pStaticValue` - the static value
        `pFpe` - the function package extension
        `pCardinality` - the cardinality of the parameter
        `pIsMassProcessing` - the mass processing attribute of the parameter
        `pIsNullValueAllowed` - whether `null` value is allowed

  - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the default value.
      Returns:
        the default value

    - #### getStaticValue

          public java.lang.String getStaticValue()

      Gets the static value.
      Returns:
        the static value

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String pDefaultValue)

      Sets the default value.
      Parameters:
        `pDefaultValue` - the default value to set

    - #### setStaticValue

          public void setStaticValue(java.lang.String pStaticValue)

      Sets the static value.
      Parameters:
        `pStaticValue` - the static value to set

    - #### geTargetReferenceExtensions

          public java.util.List<TargetReferenceExtension> geTargetReferenceExtensions()

      Description copied from interface: `ITargetReferenceExtension`
      `ModelExtensionObject`s can contain attributes which can reference other model objects. For each model object reference in an attribute a `TargetReferenceExtension` should be created and added to the list. This list should return all attribute model object references of a `ModelExtensionObject`.
      Specified by:
        `geTargetReferenceExtensions` in interface `ITargetReferenceExtension`
      Returns:
        a list of `TargetReferenceExtension`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

    - #### isNullValueAllowed

          public boolean isNullValueAllowed()

      Returns:
        whether `null`value is allowed.

    - #### setNullValueAllowed

          public void setNullValueAllowed(boolean isNullValueAllowed)

      Sets whether `null` value is allowed.
      Parameters:
        `isNullValueAllowed` - `null` value parameter

Copyright © 2015 Micro Focus GmbH. All rights reserved.